Bridge Biotherapeutics Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://parataxis.co.kr/press-details?id=10&pageNo=1",
    "holding_balance": 150.0,
    "holding_net_change": 50.0,
    "transaction_value_usd": 5706328.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1760313600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://parataxis.co.kr/press-details?id=10&pageNo=1",
    "holding_balance": 150.0,
    "holding_net_change": 50.0,
    "transaction_value_usd": 5762005.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1770336000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.parataxis.co.kr/press-details?id=38&pageNo=1",
    "holding_balance": 200.0,
    "holding_net_change": 50.0,
    "transaction_value_usd": 3514322.5,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    200.0
  ],
  [
    1779062400000,
    200.0
  ],
  [
    1779148800000,
    200.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    15485972.0
  ],
  [
    1779062400000,
    15388854.0
  ],
  [
    1779148800000,
    15352002
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 450.0,
    "date": "2026-04-03",
    "high": 500.0,
    "open": 468.0,
    "close": 450.0,
    "volume": 721841
  },
  {
    "low": 413.0,
    "date": "2026-04-06",
    "high": 469.0,
    "open": 457.0,
    "close": 429.0,
    "volume": 822667
  },
  {
    "low": 392.0,
    "date": "2026-04-07",
    "high": 557.0,
    "open": 432.0,
    "close": 416.0,
    "volume": 0
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -44.16,
  "six_month_return": -77.48,
  "three_month_return": -53.31
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bridge-biotherapeutics-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}